<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('immobilis', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('nome')->unique();
            $table->string('indirizzo')->nullable();
            $table->string('civico')->nullable();
            $table->string('citta')->nullable();
            $table->string('cap')->nullable();
            $table->string('provincia')->nullable();
            $table->string('nazione')->nullable();
            $table->string('descrizione')->nullable();
            $table->string('categoria')->nullable();
            $table->string('tipologia')->nullable();
            $table->string('stato')->nullable();
            $table->string('classe_energetica')->nullable();
            $table->string('superficie')->nullable();
            $table->string('vani')->nullable();
            $table->string('bagni')->nullable();
            $table->string('camere')->nullable();
            $table->string('piano')->nullable();
            $table->string('ascensore')->nullable();
            $table->string('riscaldamento')->nullable();
            $table->string('condizionatore')->nullable();
            $table->string('giardino')->nullable();
            $table->string('posto_auto')->nullable();
            $table->string('garage')->nullable();
            $table->string('balcone')->nullable();
            $table->string('terrazzo')->nullable();
            $table->string('cantina')->nullable();
            $table->string('arredamento')->nullable();
            $table->string('spese_condominiali')->nullable();
            $table->string('anno_costruzione')->nullable();
            $table->string('prezzo')->nullable();
            $table->string('disponibilita')->nullable();
            $table->string('note')->nullable();
            $table->string('fibra-ottica')->nullable();
            $table->string('internet')->nullable();
            $table->string('catasto_n')->nullable();
            $table->string('cat_foglio')->nullable();
            $table->string('cat_particella')->nullable();
            $table->string('cat_sub')->nullable();
            $table->string('cat_cat')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('immobilis');
    }
};
